import { render, screen } from '@testing-library/react';
import Tile from './Tile';

describe('The Tile component ', () => {
  test('Is initially empty', () => {
    const { baseElement } = render(
      <svg>
        <Tile href='http://fakeurl' size={256} delay={10000} />
      </svg>
    );
    screen.debug();
    expect(baseElement).toMatchInlineSnapshot(`
<body>
  <div>
    <svg>
      <g />
    </svg>
  </div>
</body>
`);
  });
  test('Gets its image immediately with a fake URL', () => {
    const { baseElement } = render(
      <svg>
        <Tile href='http://fakeurl' size={256} />
      </svg>
    );
    screen.debug();
    expect(baseElement).toMatchInlineSnapshot(`
<body>
  <div>
    <svg>
      <g>
        <image
          height="256"
          href="http://fakeurl"
          width="256"
        />
      </g>
    </svg>
  </div>
</body>
`);
  });
});
